matrix:
  platform:
    - ubuntu2404
    - macos_arm64
  bazel: [7.x, 8.x, 9.x, rolling]
tasks:
  verify_targets:
    name: Verify build targets
    bazel: ${{ bazel }}
    platform: ${{ platform }}
    build_targets:
      - '@proj//...'
      - '-@proj//test/...'

bcr_test_module:
  module_path: test
  matrix:
    platform:
      - ubuntu2404
      - macos_arm64
    bazel: [7.x, 8.x, 9.x, rolling]
  tasks:
    run_test_module:
      name: Run test module
      bazel: ${{ bazel }}
      platform: ${{ platform }}
      test_targets:
        - //...
